// (c) MIT 2003.  All rights reserved.

package rec.house.speech;

import java.rmi.*;
import java.util.*;
import metaglue.*;
import rec.util.*;
import rec.sys.*;
import java.io.*;
import rec.house.*;

class WatcherMessage implements Serializable {

  Id id;
  String msg;
  
  public WatcherMessage( Id id, String msg )
  {
    this.id = id;
    this.msg = msg;
  }

  public String toString()
  {
    return "msg re " + id + ":\"" + msg + "\"";
  }

}
